Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007933opensim[GRID] Grid Servicepublic2016-06-21 18:212019-02-06 11:30
Reporterdanbanner 
Assigned ToDiva 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007933: UserTitle is broken or otherwise not being sent
Descriptionwith my account i have:
  UserLevel: 255
  UserFlags: 780
  UserTitle: Grid Admin

However looking at my profile in-world my account info is showing "Linden Lab Employee"

Steps To Reproduceset a UserTitle for your avatar and it will not be shown in your profile
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE, BulletSim
EnvironmentMono / Linux64
Mono Version4.0
Viewerany
Attached Files

- Relationships

-  Notes
(0030647)
Mandarinka Tasty (reporter)
2016-06-21 20:10

Please set UserFlags = 0, then you should see your UserTitle.

That text: Linden Lab Employee is sent by the viewer, when viewer recognises:

appropriate UserFlags.
(0030692)
Diva (administrator)
2016-06-23 08:19

Did this ever work?
(0030707)
Mandarinka Tasty (reporter)
2016-06-23 12:27

It works and it was working.

but you can't set UserTitle and UserFlags in same time.

Together they do not work , I have noticed it long time ago, since version 0.7.6.

So if you want to use UserTitle, then do not use UserFlags.

Or you can make such trick, to write in field UserTitle, both informations in such way, that they will be displayed in profile in two lines.

That i base on my observations.
(0030708)
nebadon (administrator)
2016-06-23 12:39
edited on: 2016-06-23 12:39

I can tell you that on OSgrid if we had UserFlag set to 780 and a UserTitle set it would properly show the UserTitle in the users profile running robust 0.8.2, however after upgrading our Robust services to 0.9 this has stopped working as it did before and now it shows "Linden Lab Employee" for users who had flag of 780 set. This is indeed a regression.

(0030709)
Mandarinka Tasty (reporter)
2016-06-23 12:48

Sure, I can't precisely say, how it has been workign in OSGrid.

But in MVC, for versions: 0.7.6, 0.8.2, I have noticed, that:

when I set Payment Info Used with appropriate code referrign to UserFlags,

to make viewer know what to display in the profile, then it masks title, that

has been set in UserTitle.

So I was never able to make them both work, only via trick.


But Nebadon, if you set UserFlags = 780 and UserTitle = Grid Admin,

then to be ideally correct, it should be displayed both. do you agree ?


there should be text displayed in the viewer:

Linden Lab Employee
Grid Admin.
(0030710)
nebadon (administrator)
2016-06-23 12:50

Linden Lab Employee is hard coded into the viewer, for us to display both we would have have that be done server side, and honestly we should never display anything that says "Linden" in anything related to OpenSimulator.
(0030711)
Mandarinka Tasty (reporter)
2016-06-23 12:53

That Dan has said, not me., that you use 780 for UserFlags in your grid.

So if you do not use 780, for what then discuss it ?

set UserFlags = 0, and UserTitle = Grid Admin, and it should work :)

But please admit, that if you want to set 2 texts:

Payment Info OnFile ( generated by the viewer ) <- via UserFlags

and for example: OSGrid Resident <--- text set by UserTitle,

then you can't do that in same time and ideal situation would be to make them work together.
(0030712)
Diva (administrator)
2016-06-23 13:54

[13:53] <cia-opensim> opensim: diva * r758e1e253569 OpenSim/Services/UserAccountService (UserAccountService.cs):
[13:53] <cia-opensim> Mantis 0007933: copy-paste bug in avn code.

Note: requires central services update
(0030728)
Diva (administrator)
2016-06-23 20:08

It's working again
(0034526)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-06-21 18:21 danbanner New Issue
2016-06-21 20:10 Mandarinka Tasty Note Added: 0030647
2016-06-23 08:19 Diva Note Added: 0030692
2016-06-23 12:27 Mandarinka Tasty Note Added: 0030707
2016-06-23 12:39 nebadon Note Added: 0030708
2016-06-23 12:39 nebadon Note Edited: 0030708 View Revisions
2016-06-23 12:48 Mandarinka Tasty Note Added: 0030709
2016-06-23 12:50 nebadon Note Added: 0030710
2016-06-23 12:53 Mandarinka Tasty Note Added: 0030711
2016-06-23 13:54 Diva Note Added: 0030712
2016-06-23 20:08 Diva Note Added: 0030728
2016-06-23 20:08 Diva Status new => resolved
2016-06-23 20:08 Diva Resolution open => fixed
2016-06-23 20:08 Diva Assigned To => Diva
2019-02-06 11:30 BillBlight Note Added: 0034526
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker